org.apache.sling.provisioning.model

## Interface ModelUtility.VariableResolver

Enclosing class:
  ModelUtility

    public static interface ModelUtility.VariableResolver

Optional variable resolver

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `resolve(Feature feature, String name)` Resolve the variable.

### Method Detail

#### resolve

    String resolve(Feature feature,
                   String name)

Resolve the variable. An implementation might get the value of a variable from the system properties, or the environment etc. As a fallback, the resolver should check the variables of the feature.

Parameters:
  `feature` - The feature
  `name` - The variable name
Returns:
  The variable value or null.